script.on_event(defines.events.on_player_created, function(event)
    local player = game.players[event.player_index]
    local entities = player.surface.find_entities({{-64, -64}, {64, 64}})
    for _, i in pairs(entities) do
        if i ~= player.character then
            i.destroy()
        end
    end
    for x=-2,2 do
        for y = -2,2 do
            local unit = player.surface.create_entity{
                name="my-small-biter",
                position=player.position,
                force=player.force
            }
            math.randomseed(1234)
       		unit.teleport({(x + math.random()) * 2, (y + math.random()) * 2})
            
            -- create unit group to stop unit from moving
            local unit_group = player.surface.create_unit_group
            {
                position=unit.position,
                force=unit.force
            }
            unit_group.add_member(unit)
        end
    end
end)
